NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Preferences.RoutingPath Class Reference

The RoutingPath object stores a set of path preferences. More...

Inheritance diagram for NXOpen.Preferences.RoutingPath:
NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AddPointsToSpline { False, True }
 Should points be added to existing spline when they are subdivided to preserve shape? More...
 
enum  AllowedCornerType {
  None, Bend, Cope, Miter,
  Sbend
}
 Describes the types of corners allowed in a routing application. More...
 
enum  ChainMethod {
  NoBranch, Continuous, Tangent, Cycle,
  MinDist, MaxDist
}
 Path curve chaining methods More...
 
enum  ConfirmBranchSel { False, True }
 Should a branch selection confirmation dialog be show during Path selection? More...
 
enum  ContinueUpdOnError { False, True }
 Should fixed length splines ignore length constraint violations and update? More...
 
enum  CreateSlopeConstraints { False, True }
 Create slope associativity constraints during line path creation [from ports only] More...
 
enum  CreateSmartRcps { False, True }
 Should Smart RCPs be created during path creation in Create Path? More...
 
enum  CreateTangency { False, True }
 Should new splines form tangencies with existing splines when they're created? More...
 
enum  CurveType { Line, Arc, Spline }
 Describes the types of curves allowed in a routing application. More...
 
enum  DefaultCornerType { None = -1, Bend, Miter, BendTable }
 Describes the types of corners allowed in a routing application. More...
 
enum  DisplayObject { False, True }
 Display a certain routing object? More...
 
enum  MergeDupRcps { False, True }
 Should duplicate RCPs be merged after a Transform [Move or Copy] operation? More...
 
enum  OccChainable { False, True }
 Chain occurrences of curves ? [i. More...
 
enum  RadiusMethod { Radius, Ratio, Table, InnerRadius }
 Describes method used to determine bend radius on a bend or sbend corner More...
 
enum  RadiusUnits { None, Inches, Millimeters }
 Describes units of specified radius value NXOpen.Preferences.RoutingPath.RadiusMethod.Radius only. More...
 

Public Member Functions

unsafe
NXOpen.Preferences.RoutingPath.AllowedCornerType[] 
GetAllowedCorners ()
 Query the types of corners allowed in an application view More...
 
unsafe
NXOpen.Preferences.RoutingPath.CurveType[] 
GetAllowedCurves ()
 Query the types of curves allowed in an application view More...
 
unsafe double GetBendRadius ()
 Needs a work part and a loaded applicaiton view. More...
 
unsafe
NXOpen.Preferences.RoutingPath.RadiusMethod 
GetBendRadiusMethod ()
 Query wether the default corner should use bend ratio. More...
 
unsafe string GetBendRadiusTable ()
 Returns the bend radius table spreadsheet name. More...
 
unsafe
NXOpen.Routing.CharacteristicList[] 
GetBendRadiusTableDataForStock (string stockPartNumber)
 Returns the rows of data from the bend radius table for the given stock part number. More...
 
unsafe
NXOpen.Preferences.RoutingPath.RadiusUnits 
GetBendRadiusUnits ()
 Query bend radius units stored in path preferences More...
 
unsafe double GetBendRatio ()
 Query default bend ratio. More...
 
unsafe
NXOpen.Preferences.RoutingPath.CurveType[] 
GetChainableCurveTypes ()
 Query all the types of chainable curve types More...
 
unsafe
NXOpen.Preferences.RoutingPath.ConfirmBranchSel 
GetConfirmBranchSelection ()
 Confirm branch selection during Path selection? More...
 
unsafe
NXOpen.Preferences.RoutingPath.ContinueUpdOnError 
GetContinueUpdateOnError ()
 Query default down direction for fixed length splines More...
 
unsafe
NXOpen.Preferences.RoutingPath.AddPointsToSpline 
GetCreateNewPointsOnSubdivide ()
 Add points to subdivided splines to maintain shape? More...
 
unsafe
NXOpen.Preferences.RoutingPath.CreateSlopeConstraints 
GetCreateSlopeConstraints ()
 Create slope constraints during line path creation to and from fitting ports? More...
 
unsafe
NXOpen.Preferences.RoutingPath.CreateSmartRcps 
GetCreateSmartRcps ()
 Create smart RCPs during path creation? More...
 
unsafe
NXOpen.Preferences.RoutingPath.CreateTangency 
GetCreateSplineTangency ()
 Create tangency between splines? More...
 
unsafe
NXOpen.Preferences.RoutingPath.ChainMethod 
GetCurveChainingMethod ()
 Query path curve chaining method More...
 
unsafe
NXOpen.Preferences.RoutingPath.DefaultCornerType 
GetDefaultCorner ()
 Query the default corner type in an application view More...
 
unsafe
NXOpen.Preferences.RoutingPath.DisplayObject 
GetDisplayAnchors ()
 Display anchors? More...
 
unsafe
NXOpen.Preferences.RoutingPath.DisplayObject 
GetDisplayConnectedPorts ()
 Display connected ports? More...
 
unsafe double GetDisplayPortLength ()
 Displayed port length More...
 
unsafe
NXOpen.Preferences.RoutingPath.DisplayObject 
GetDisplayPorts ()
 Display ports? More...
 
unsafe
NXOpen.Preferences.RoutingPath.DisplayObject 
GetDisplayRcps ()
 Display RCPs? More...
 
unsafe
NXOpen.Preferences.RoutingPath.DisplayObject 
GetDisplaySegmentConstraints ()
 Display segment constraints? More...
 
unsafe
NXOpen.Preferences.RoutingPath.CurveType 
GetHealPathCurveType ()
 Heal Path curve type. More...
 
unsafe
NXOpen.Preferences.RoutingPath.MergeDupRcps 
GetMergeDuplicateRcps ()
 Merge duplicate RCPs after a Transform [Move or Copy] operation? More...
 
unsafe
NXOpen.Preferences.RoutingPath.OccChainable 
GetOccurrenceChainable ()
 Query if curve occurrences [curves not in the work part] are chainable More...
 
unsafe string GetStockOffsetExpression ()
 Query default stock offset expression used by Create Path and Create Stock Offset Port [via Qualify Part] More...
 
unsafe void SetAllowedCorners (NXOpen.Preferences.RoutingPath.AllowedCornerType[] allowedCorners)
  More...
 
unsafe void SetAllowedCurves (NXOpen.Preferences.RoutingPath.CurveType[] allowedCurves)
  More...
 
unsafe void SetBendRadius (double bendRadius)
 Needs a work part and a loaded applicaiton view. More...
 
unsafe void SetBendRadiusMethod (NXOpen.Preferences.RoutingPath.RadiusMethod radiusMethod)
 Set whether the default corner should use bend ratio. More...
 
unsafe void SetBendRadiusTable (string bendTableSpreadsheet)
 Sets the bend radius table spreadsheet name. More...
 
unsafe void SetBendRadiusUnits (NXOpen.Preferences.RoutingPath.RadiusUnits radiusUnits)
  More...
 
unsafe void SetBendRatio (double bendRatio)
  More...
 
unsafe void SetChainableCurveTypes (NXOpen.Preferences.RoutingPath.CurveType[] chainableCurveTypes)
  More...
 
unsafe void SetConfirmBranchSelection (NXOpen.Preferences.RoutingPath.ConfirmBranchSel confirmBranchSel)
  More...
 
unsafe void SetContinueUpdateOnError (NXOpen.Preferences.RoutingPath.ContinueUpdOnError update)
  More...
 
unsafe void SetCreateNewPointsOnSubdivide (NXOpen.Preferences.RoutingPath.AddPointsToSpline addPoints)
  More...
 
unsafe void SetCreateSlopeConstraints (NXOpen.Preferences.RoutingPath.CreateSlopeConstraints createSlopeConstraints)
  More...
 
unsafe void SetCreateSmartRcps (NXOpen.Preferences.RoutingPath.CreateSmartRcps createSmart)
  More...
 
unsafe void SetCreateSplineTangency (NXOpen.Preferences.RoutingPath.CreateTangency applyTangency)
  More...
 
unsafe void SetCurveChainingMethod (NXOpen.Preferences.RoutingPath.ChainMethod chainMethod)
  More...
 
unsafe void SetDefaultCorner (NXOpen.Preferences.RoutingPath.DefaultCornerType defaultCorner)
  More...
 
unsafe void SetDisplayAnchors (NXOpen.Preferences.RoutingPath.DisplayObject displayAnchors)
  More...
 
unsafe void SetDisplayConnectedPorts (NXOpen.Preferences.RoutingPath.DisplayObject displayConnectedPorts)
 Display connected ports in the model More...
 
unsafe void SetDisplayPortLength (double displayPortLength)
  More...
 
unsafe void SetDisplayPorts (NXOpen.Preferences.RoutingPath.DisplayObject displayPorts)
 Display ports in the model? More...
 
unsafe void SetDisplayRcps (NXOpen.Preferences.RoutingPath.DisplayObject displayRcps)
  More...
 
unsafe void SetDisplaySegmentConstraints (NXOpen.Preferences.RoutingPath.DisplayObject displayConstraints)
  More...
 
unsafe void SetHealPathCurveType (NXOpen.Preferences.RoutingPath.CurveType healPathCurveType)
  More...
 
unsafe void SetMergeDuplicateRcps (NXOpen.Preferences.RoutingPath.MergeDupRcps mergeDuplicates)
  More...
 
unsafe void SetOccurrenceChainable (NXOpen.Preferences.RoutingPath.OccChainable occChainable)
  More...
 
unsafe void SetStockOffsetExpression (string stockOffsetExp)
  More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

The RoutingPath object stores a set of path preferences.

To obtain an instance of this class, refer to NXOpen.Preferences.RoutingApplicationView

Created in NX4.0.0

Member Enumeration Documentation

Should points be added to existing spline when they are subdivided to preserve shape?

Enumerator
False 

Do not merge duplicate RCPs.

True 

Merge duplicate RCPs.

Describes the types of corners allowed in a routing application.

Enumerator
None 

UF_ROUTE_AV_CORNERS_NONE

Bend 

UF_ROUTE_AV_CORNERS_BEND

Cope 

UF_ROUTE_AV_CORNERS_COPE

Miter 

UF_ROUTE_AV_CORNERS_MITER

Sbend 

UF_ROUTE_AV_CORNERS_SBEND

Path curve chaining methods

Enumerator
NoBranch 

Curves must be mono-connected

Continuous 

Tangents must match at each connection

Tangent 

Use curve with closest tangent when searching

Cycle 

Return all chains

MinDist 

Chain with minimum path length

MaxDist 

Chain with maximum path length

Should a branch selection confirmation dialog be show during Path selection?

Enumerator
False 

Do not confirm branch selection.

True 

Confirm branch selection.

Should fixed length splines ignore length constraint violations and update?

Enumerator
False 
True 

Create slope associativity constraints during line path creation [from ports only]

Enumerator
False 
True 

Should Smart RCPs be created during path creation in Create Path?

Enumerator
False 

Do not create smart RCPs.

True 

Create smart RCPs.

Should new splines form tangencies with existing splines when they're created?

Enumerator
False 

Do not merge duplicate RCPs.

True 

Merge duplicate RCPs.

Describes the types of curves allowed in a routing application.

Enumerator
Line 

UF_ROUTE_AV_CURVES_LINES

Arc 

UF_ROUTE_AV_CURVES_ARCS

Spline 

UF_ROUTE_AV_CURVES_SPLINES

Describes the types of corners allowed in a routing application.

Enumerator
None 

No Corner

Bend 

Bend Corner

Miter 

Miter Corner

BendTable 

Not really a corner type.

Used to indicate use of bend table in conjunction with a Bend corner

Display a certain routing object?

Enumerator
False 
True 

Should duplicate RCPs be merged after a Transform [Move or Copy] operation?

Enumerator
False 

Do not merge duplicate RCPs.

True 

Merge duplicate RCPs.

Chain occurrences of curves ? [i.

e. curves not in the work part]

Enumerator
False 
True 

Describes method used to determine bend radius on a bend or sbend corner

Enumerator
Radius 

Use specified radius

Ratio 

Use ratio to stock diameter to determine radius

Table 

Use radius obtained from a bend table lookup

InnerRadius 

Use inner radius

Describes units of specified radius value NXOpen.Preferences.RoutingPath.RadiusMethod.Radius only.

Enumerator
None 

Unspecified.

Use units of part file.

Inches 

Use inch units

Millimeters 

Use metric (mm) units

Member Function Documentation

unsafe NXOpen.Preferences.RoutingPath.AllowedCornerType [] NXOpen.Preferences.RoutingPath.GetAllowedCorners ( )
inline

Query the types of corners allowed in an application view

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.CurveType [] NXOpen.Preferences.RoutingPath.GetAllowedCurves ( )
inline

Query the types of curves allowed in an application view

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe double NXOpen.Preferences.RoutingPath.GetBendRadius ( )
inline

Needs a work part and a loaded applicaiton view.

Radius units are converted to work part units automatically. Returns -1 and quits if input requirements are not met.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.RadiusMethod NXOpen.Preferences.RoutingPath.GetBendRadiusMethod ( )
inline

Query wether the default corner should use bend ratio.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe string NXOpen.Preferences.RoutingPath.GetBendRadiusTable ( )
inline

Returns the bend radius table spreadsheet name.

Used when default corner uses bend table method

Created in NX12.0.1

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Routing.CharacteristicList [] NXOpen.Preferences.RoutingPath.GetBendRadiusTableDataForStock ( string  stockPartNumber)
inline

Returns the rows of data from the bend radius table for the given stock part number.

Created in NX12.0.1

License requirements: routing_base ("Routing Basic")

Parameters
stockPartNumber
Returns
unsafe NXOpen.Preferences.RoutingPath.RadiusUnits NXOpen.Preferences.RoutingPath.GetBendRadiusUnits ( )
inline

Query bend radius units stored in path preferences

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe double NXOpen.Preferences.RoutingPath.GetBendRatio ( )
inline

Query default bend ratio.

Used when default corner uses bend ratio method

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.CurveType [] NXOpen.Preferences.RoutingPath.GetChainableCurveTypes ( )
inline

Query all the types of chainable curve types

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.ConfirmBranchSel NXOpen.Preferences.RoutingPath.GetConfirmBranchSelection ( )
inline

Confirm branch selection during Path selection?

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.ContinueUpdOnError NXOpen.Preferences.RoutingPath.GetContinueUpdateOnError ( )
inline

Query default down direction for fixed length splines

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.AddPointsToSpline NXOpen.Preferences.RoutingPath.GetCreateNewPointsOnSubdivide ( )
inline

Add points to subdivided splines to maintain shape?

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.CreateSlopeConstraints NXOpen.Preferences.RoutingPath.GetCreateSlopeConstraints ( )
inline

Create slope constraints during line path creation to and from fitting ports?

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.CreateSmartRcps NXOpen.Preferences.RoutingPath.GetCreateSmartRcps ( )
inline

Create smart RCPs during path creation?

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.CreateTangency NXOpen.Preferences.RoutingPath.GetCreateSplineTangency ( )
inline

Create tangency between splines?

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.ChainMethod NXOpen.Preferences.RoutingPath.GetCurveChainingMethod ( )
inline

Query path curve chaining method

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.DefaultCornerType NXOpen.Preferences.RoutingPath.GetDefaultCorner ( )
inline

Query the default corner type in an application view

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.DisplayObject NXOpen.Preferences.RoutingPath.GetDisplayAnchors ( )
inline

Display anchors?

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.DisplayObject NXOpen.Preferences.RoutingPath.GetDisplayConnectedPorts ( )
inline

Display connected ports?

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe double NXOpen.Preferences.RoutingPath.GetDisplayPortLength ( )
inline

Displayed port length

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.DisplayObject NXOpen.Preferences.RoutingPath.GetDisplayPorts ( )
inline

Display ports?

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.DisplayObject NXOpen.Preferences.RoutingPath.GetDisplayRcps ( )
inline

Display RCPs?

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.DisplayObject NXOpen.Preferences.RoutingPath.GetDisplaySegmentConstraints ( )
inline

Display segment constraints?

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.CurveType NXOpen.Preferences.RoutingPath.GetHealPathCurveType ( )
inline

Heal Path curve type.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.MergeDupRcps NXOpen.Preferences.RoutingPath.GetMergeDuplicateRcps ( )
inline

Merge duplicate RCPs after a Transform [Move or Copy] operation?

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Preferences.RoutingPath.OccChainable NXOpen.Preferences.RoutingPath.GetOccurrenceChainable ( )
inline

Query if curve occurrences [curves not in the work part] are chainable

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe string NXOpen.Preferences.RoutingPath.GetStockOffsetExpression ( )
inline

Query default stock offset expression used by Create Path and Create Stock Offset Port [via Qualify Part]

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe void NXOpen.Preferences.RoutingPath.SetAllowedCorners ( NXOpen.Preferences.RoutingPath.AllowedCornerType[]  allowedCorners)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
allowedCorners
unsafe void NXOpen.Preferences.RoutingPath.SetAllowedCurves ( NXOpen.Preferences.RoutingPath.CurveType[]  allowedCurves)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
allowedCurves
unsafe void NXOpen.Preferences.RoutingPath.SetBendRadius ( double  bendRadius)
inline

Needs a work part and a loaded applicaiton view.

Radius units are assumed to be work part units and are set automatically. Returns -1 and quits if input requirements are not met.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
bendRadius
unsafe void NXOpen.Preferences.RoutingPath.SetBendRadiusMethod ( NXOpen.Preferences.RoutingPath.RadiusMethod  radiusMethod)
inline

Set whether the default corner should use bend ratio.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
radiusMethod
unsafe void NXOpen.Preferences.RoutingPath.SetBendRadiusTable ( string  bendTableSpreadsheet)
inline

Sets the bend radius table spreadsheet name.

Used when default corner uses bend table method

Created in NX12.0.1

License requirements: routing_base ("Routing Basic")

Parameters
bendTableSpreadsheet
unsafe void NXOpen.Preferences.RoutingPath.SetBendRadiusUnits ( NXOpen.Preferences.RoutingPath.RadiusUnits  radiusUnits)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
radiusUnits
unsafe void NXOpen.Preferences.RoutingPath.SetBendRatio ( double  bendRatio)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
bendRatio
unsafe void NXOpen.Preferences.RoutingPath.SetChainableCurveTypes ( NXOpen.Preferences.RoutingPath.CurveType[]  chainableCurveTypes)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
chainableCurveTypes
unsafe void NXOpen.Preferences.RoutingPath.SetConfirmBranchSelection ( NXOpen.Preferences.RoutingPath.ConfirmBranchSel  confirmBranchSel)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
confirmBranchSel
unsafe void NXOpen.Preferences.RoutingPath.SetContinueUpdateOnError ( NXOpen.Preferences.RoutingPath.ContinueUpdOnError  update)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
update
unsafe void NXOpen.Preferences.RoutingPath.SetCreateNewPointsOnSubdivide ( NXOpen.Preferences.RoutingPath.AddPointsToSpline  addPoints)
inline

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

Parameters
addPoints
unsafe void NXOpen.Preferences.RoutingPath.SetCreateSlopeConstraints ( NXOpen.Preferences.RoutingPath.CreateSlopeConstraints  createSlopeConstraints)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
createSlopeConstraints
unsafe void NXOpen.Preferences.RoutingPath.SetCreateSmartRcps ( NXOpen.Preferences.RoutingPath.CreateSmartRcps  createSmart)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
createSmart
unsafe void NXOpen.Preferences.RoutingPath.SetCreateSplineTangency ( NXOpen.Preferences.RoutingPath.CreateTangency  applyTangency)
inline

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

Parameters
applyTangency
unsafe void NXOpen.Preferences.RoutingPath.SetCurveChainingMethod ( NXOpen.Preferences.RoutingPath.ChainMethod  chainMethod)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
chainMethod
unsafe void NXOpen.Preferences.RoutingPath.SetDefaultCorner ( NXOpen.Preferences.RoutingPath.DefaultCornerType  defaultCorner)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
defaultCorner
unsafe void NXOpen.Preferences.RoutingPath.SetDisplayAnchors ( NXOpen.Preferences.RoutingPath.DisplayObject  displayAnchors)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
displayAnchors
unsafe void NXOpen.Preferences.RoutingPath.SetDisplayConnectedPorts ( NXOpen.Preferences.RoutingPath.DisplayObject  displayConnectedPorts)
inline

Display connected ports in the model

Created in NX8.0.0

License requirements: routing_base ("Routing Basic")

Parameters
displayConnectedPorts
unsafe void NXOpen.Preferences.RoutingPath.SetDisplayPortLength ( double  displayPortLength)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
displayPortLength
unsafe void NXOpen.Preferences.RoutingPath.SetDisplayPorts ( NXOpen.Preferences.RoutingPath.DisplayObject  displayPorts)
inline

Display ports in the model?

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
displayPorts
unsafe void NXOpen.Preferences.RoutingPath.SetDisplayRcps ( NXOpen.Preferences.RoutingPath.DisplayObject  displayRcps)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
displayRcps
unsafe void NXOpen.Preferences.RoutingPath.SetDisplaySegmentConstraints ( NXOpen.Preferences.RoutingPath.DisplayObject  displayConstraints)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
displayConstraints
unsafe void NXOpen.Preferences.RoutingPath.SetHealPathCurveType ( NXOpen.Preferences.RoutingPath.CurveType  healPathCurveType)
inline

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
healPathCurveType
unsafe void NXOpen.Preferences.RoutingPath.SetMergeDuplicateRcps ( NXOpen.Preferences.RoutingPath.MergeDupRcps  mergeDuplicates)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
mergeDuplicates
unsafe void NXOpen.Preferences.RoutingPath.SetOccurrenceChainable ( NXOpen.Preferences.RoutingPath.OccChainable  occChainable)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
occChainable
unsafe void NXOpen.Preferences.RoutingPath.SetStockOffsetExpression ( string  stockOffsetExp)
inline

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
stockOffsetExp

Property Documentation

Tag NXOpen.Preferences.RoutingPath.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.